/* -*- c++ -*- */
/*
 * Copyright 2021 Ralf Gorholt.
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_DL5EU_TPS_DECODER_H
#define INCLUDED_DL5EU_TPS_DECODER_H

#include <dl5eu/api.h>
#include <gnuradio/block.h>

namespace gr {
  namespace dl5eu {

    /*!
     * \brief <+description of block+>
     * \ingroup dl5eu
     *
     */
    class DL5EU_API tps_decoder : virtual public gr::block
    {
     public:
      typedef boost::shared_ptr<tps_decoder> sptr;

      /*!
       * \brief Return a shared_ptr to a new instance of dl5eu::tps_decoder.
       *
       * To avoid accidental use of raw pointers, dl5eu::tps_decoder's
       * constructor is in a private implementation
       * class. dl5eu::tps_decoder::make is the public interface for
       * creating new instances.
       */
      static sptr make(int mode, bool print_params);
    };

  } // namespace dl5eu
} // namespace gr

#endif /* INCLUDED_DL5EU_TPS_DECODER_H */

